For the complete documentation index, see llms.txt. This page is also available as Markdown.

Vehicles

Deprecated

Create a telematics vehicle

post

This will create a vehicle with the provided license plate number and telematics id, in order to collect and process telemactics data from this vehicle during transports. This is possible with Trimble.

If there is already a vehicle with the provided license plate, its telematics_id will be updated. In this case the return status will be 200.

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Body
telematicsstring · enumRequiredPossible values:
license_platestringRequiredExample: AB123CD
telematics_idstringRequired

ID of the vehicle in the telematics system

Responses
201Success
application/json
telematicsstring · enumOptionalPossible values:
license_platestringOptionalExample: AB123CD
telematics_idstringOptional

ID of the vehicle in the telematics system

post/telematics/vehicles/
POST /api/v4/telematics/vehicles/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 73

{
  "telematics": "trimble",
  "license_plate": "AB123CD",
  "telematics_id": "text"
}
201Success
{
  "telematics": "trimble",
  "license_plate": "AB123CD",
  "telematics_id": "text"
}

Last updated

Was this helpful?